Package be.e_contract.ejsf.component.pages

# Class PagesPhaseListener

java.lang.Object
be.e_contract.ejsf.component.pages.PagesPhaseListener

All Implemented Interfaces:
  `Serializable`, `EventListener`, `javax.faces.event.PhaseListener`

public class PagesPhaseListener extends Object implements javax.faces.event.PhaseListener

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PagesPhaseListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`afterPhase(javax.faces.event.PhaseEvent event)`
`void`
`beforePhase(javax.faces.event.PhaseEvent event)`
`javax.faces.event.PhaseId`
`getPhaseId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PagesPhaseListener

public PagesPhaseListener()

## Method Details

### afterPhase

public void afterPhase(javax.faces.event.PhaseEvent event)

Specified by:
  `afterPhase` in interface `javax.faces.event.PhaseListener`

### beforePhase

public void beforePhase(javax.faces.event.PhaseEvent event)

Specified by:
  `beforePhase` in interface `javax.faces.event.PhaseListener`

### getPhaseId

public javax.faces.event.PhaseId getPhaseId()

Specified by:
  `getPhaseId` in interface `javax.faces.event.PhaseListener`